﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WSUniversalLib
{
    public class Calculation
    {
        public int GetPriorityForAgent(int agentType, float age, float experience)
        {
            float x;
            if (age < 0 || experience < 0 || experience > age)
                return -1;
            switch(agentType)
            {
                case 1:
                    x = 1.8f;
                    break;
                case 2:
                    x = 3.2f;
                    break;
                case 3:
                    x = 4.1f;
                    break;
                default:
                    return -1;
            }
            if(experience > 10)
            {
                x += 0.5f;
            }
            else if (experience > 20)
            {
                x += 0.7f;
            }
            else if (experience > 40)
            {
                x += 0.9f;
            }
            if (age <= 25 && experience <= 3)
            {
                switch (agentType)
                {
                    case 1:
                        x += 0.1f;
                        break;
                    case 2:
                        x += 0.17f;
                        break;
                    case 3:
                        x += 0.26f;
                        break;
                    default:
                        return -1;
                }
            }
            return (int)(x * experience);
        }
    }
}
